#
# spec file for package mycroft-core
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           mycroft-core
Version:        18.8.5
Release:        bp153.1.14
Summary:        The Mycroft Artificial Intelligence platform
# FIXME: Select a correct license from https://github.com/openSUSE/spec-cleaner#spdx-licenses
# FIXME: use correct group, see "https://en.opensuse.org/openSUSE:Package_group_guidelines"
License:        GPL-3.0-only
Group:          System/GUI/Other
Url:            https://mycroft.ai
Source:         https://github.com/MycroftAI/%{name}/archive/release/v%{version}.tar.gz
Source1:        version.json
Source2:        mycroft-bus.service
Source3:        mycroft-skills.service
Source4:        mycroft-audio.service
Source5:        mycroft-voice.service
Source6:        mycroft.target
Source7:        SKILL_README.md
Source8:        mycroft.conf
Source9:        mycroft-user-template.conf
Source10:       create-initial-user-configuration.sh
Source13:       skills-mycroft-youtube.patch
Source14:       skills-mycroft-music-skill.patch
Source15:       skills-skill-desktop-launcher.patch
Source16:       skills-mycroft-fallback-duck-duck-go.patch
Source17:       skills-skill-autogui.patch
Source18:       skills-mycroft-weather.patch
Patch1000:      fix-installation-paths.patch
Patch1001:      use-pycodestyle-instead-of-pep8.patch
Patch1004:      fix-skill-settings-hash.patch
BuildRequires:  fdupes
BuildRequires:  python3-setuptools
Requires:       mimic
Requires:       python3-Pillow
Requires:       python3-PyChromecast
Requires:       python3-PyRIC
Requires:       python3-PyYAML >= 3.13
Requires:       python3-SpeechRecognition >= 3.8.1
Requires:       python3-adapt-parser >= 0.3.0
Requires:       python3-fann2 >= 1.0.7
Requires:       python3-fasteners >= 0.14.1
Requires:       python3-gTTS >= 1.1.7
Requires:       python3-gTTS-token >= 1.1.2
Requires:       python3-gobject
Requires:       python3-google-api-python-client >= 1.6.4
Requires:       python3-inflection >= 0.3.1
Requires:       python3-monotonic
Requires:       python3-msk >= 0.3.11
Requires:       python3-msm >= 0.5.19
Requires:       python3-padaos >= 0.1.7
Requires:       python3-padatious >= 0.4.5
Requires:       python3-parsedatetime
Requires:       python3-petact >= 0.1.2
Requires:       python3-pip
Requires:       python3-pocketsphinx-python
Requires:       python3-precise-runner >= 0.2.1
Requires:       python3-psutil
Requires:       python3-pulsectl
Requires:       python3-pyalsaaudio
Requires:       python3-pycodestyle
Requires:       python3-pyee
Requires:       python3-pyserial
Requires:       python3-python-dateutil
Requires:       python3-python-vlc
Requires:       python3-requests >= 2.20.0
Requires:       python3-requests-futures >= 0.9.5
Requires:       python3-setuptools
Requires:       python3-six
Requires:       python3-tornado
Requires:       python3-virtualenv
Requires:       python3-virtualenvwrapper
Requires:       python3-websocket-client >= 0.32.0
#--- Requirements of the default skills
Requires:       python3-arrow
Requires:       python3-astral >= 1.4
Requires:       python3-ddg3
Requires:       python3-feedparser
Requires:       python3-humanhash3
Requires:       python3-ifaddr
Requires:       python3-multi_key_dict
Requires:       python3-netifaces
Requires:       python3-pyjokes
Requires:       python3-pyowm
Requires:       python3-pytz
Requires:       python3-tzlocal
Requires:       python3-wikipedia
Requires:       python3-wolframalpha
# Required by Plasma skills
Requires:       python3-PyAutoGUI
Requires:       python3-dbus-python
Requires:       python3-num2words
Requires:       python3-python-aiml
Requires:       python3-python-xlib
#----
Requires:       curl
Requires:       git
Requires:       jq
Requires:       mpg123
Requires:       mpg123-pulse
Requires:       openssl
Requires:       patch
Requires:       portaudio
Requires:       screen
Recommends:     espeak
Recommends:     plasma-mycroft
Recommends:     vlc
BuildArch:      noarch
%systemd_requires

%description
Mycroft is a voice assistant.

%prep
%setup -q -n %{name}-release-v%{version}
%patch1000 -p1
%patch1001 -p1
%patch1004 -p1
sed -i -s "s/==.*//" requirements.txt
sed -i -s "s,#!/usr/bin/env bash,#!/bin/bash," scripts/my-info.sh
sed -i -s "s,#!/usr/bin/env bash,#!/bin/bash," scripts/prepare-msm.sh

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}
mkdir -p %{buildroot}%{_datadir}/mycroft-core/skills
install -D -m644 %{S:1} %{buildroot}%{_datadir}/mycroft-core/version.json
install -d %{buildroot}%{_userunitdir}/
install -m 0644 %{S:2} %{S:3} %{S:4} %{S:5} %{S:6} %{buildroot}%{_userunitdir}/
install -D -m644 %{S:7} %{buildroot}%{_docdir}/mycroft-core/SKILL_README.md
install -D -m644 mycroft/configuration/mycroft.conf %{buildroot}%{_docdir}/mycroft-core/mycroft.conf
install -D -m644 %{S:8}     %{buildroot}%{_sysconfdir}/mycroft/mycroft.conf
install -D -m644 %{S:9}     %{buildroot}%{_datadir}/mycroft-core/mycroft-user-template.conf
install -D -m755 %{S:10}    %{buildroot}%{_datadir}/mycroft-core/create-initial-user-configuration.sh
install -D -m644 %{S:13}    %{buildroot}%{_datadir}/mycroft-core/skill-patches/mycroft-youtube.patch
install -D -m644 %{S:14}    %{buildroot}%{_datadir}/mycroft-core/skill-patches/mycroft-music-skill.patch
install -D -m644 %{S:15}    %{buildroot}%{_datadir}/mycroft-core/skill-patches/skill-desktop-launcher.patch
install -D -m644 %{S:16}    %{buildroot}%{_datadir}/mycroft-core/skill-patches/mycroft-fallback-duck-duck-go.patch
install -D -m644 %{S:17}    %{buildroot}%{_datadir}/mycroft-core/skill-patches/skill-autogui.patch
install -D -m644 %{S:18}    %{buildroot}%{_datadir}/mycroft-core/skill-patches/mycroft-weather.patch

%fdupes %{buildroot}/%{python3_sitelib}/mycroft

%post
echo "*** ATTENTION ***"
echo ""
echo "* You can configure your Mycroft instance preferences systemwide at:"
echo "    /etc/mycroft/mycroft.conf"
echo "  or locally for your user at:"
echo "    ~/.mycroft/mycroft.conf"
echo ""
echo "* The systemd units are"
echo "    - mycroft.target"
echo "    - mycroft-bus.service"
echo "    - mycroft-skills.service"
echo "    - mycroft-audio.service"
echo "    - mycroft-voice.service"
echo ""
echo "* Those are USER units which you can start issuing:"
echo "    systemctl --user daemon-reload"
echo "    systemctl --user start mycroft.target"
echo "  and stop with:"
echo "    systemctl --user stop mycroft.target"
echo ""
echo "* If you installed plasma-mycroft from packages, then it will"
echo "  start/stop the services automatically when enabling/disabling"
echo "  Mycroft from the user interface."

%files
%defattr(-,root,root)
%doc README.md ACKNOWLEDGEMENTS.md
%license LICENSE.md
%{_docdir}/mycroft-core
%dir %{_sysconfdir}/mycroft
%config %{_sysconfdir}/mycroft/mycroft.conf
%{_bindir}/mycroft-audio
%{_bindir}/mycroft-audio-test
%{_bindir}/mycroft-cli-client
%{_bindir}/mycroft-echo-observer
%{_bindir}/mycroft-enclosure-client
%{_bindir}/mycroft-messagebus
#%{_bindir}/mycroft-skill-container
%{_bindir}/mycroft-skills
%{_bindir}/mycroft-speech-client
%{_datadir}/mycroft-core
%{_userunitdir}/mycroft-bus.service
%{_userunitdir}/mycroft-skills.service
%{_userunitdir}/mycroft-audio.service
%{_userunitdir}/mycroft-voice.service
%{_userunitdir}/mycroft.target
%{python3_sitelib}/mycroft/
%{python3_sitelib}/mycroft_core-%{version}-py%{py3_ver}.egg-info

%changelog
* Sun Nov 11 2018 Antonio Larrosa <alarrosa@suse.com>
- Update to 18.8.5:
  * No information from upstream yet. It'll be published at:
    https://github.com/MycroftAI/mycroft-core/releases/tag/release%%2Fv18.8.5
* Sun Nov  4 2018 Antonio Larrosa <alarrosa@suse.com>
- Added buildrequires for python3-ddg3 and python3-ifaddr
* Thu Nov  1 2018 Antonio Larrosa <alarrosa@suse.com>
- Update to 18.8.4:
  * This was a rather quiet release but it introduces a mechanic to sync
    installed skills with the skill store. This makes way for bigger changes
    server side creating a better user experience.
  * Report load errors in skill tester . The skill tester now has the ability
    to report the error encountered when skills fail to load.
  * New tests for the dialog renderer module.
  * Api update Upload skills manifest . Add support for uploading skill
    manifest listing installed skills and their status. This makes way for
    implementing better installation possibilities on the Marketplace.
  * Bugfixes
    + Fix using CPS_play() without the common play framework.
    + Fix setup script on Fedora and add support for Red Hat Enterprise Linux
  * See more changes at
    https://github.com/MycroftAI/mycroft-core/releases/tag/release/v18.8.4
- Update to 18.8.3:
  * The big news in this issue is adding the CommonPlaySkill, a subclass of
    the MycroftSkill adding functionality for negotiating which skill should
    handle a playback call. This will still need a couple of skill updates
    to take advantage of the system but it should be running within a day or two.
  * Common playback skill
  * Fallback TTS . If a remote TTS such as Mimic 2 or googleTTS is used and
    the network connection goes down the tts will fallback to the local
    version of Mimic.
  * Cross skill context . A system for setting context for all skills was
    added.
  * Lock the usage of the identity file . To reduce risk of multiple
    processes accessing the identity file a locking system was added.
  * Fix the problem trillions issue when formating numbers . Rework and
    fixing of issue with trillions when using nice_number.
  * CentOS 7 support
  * Warn when unsupported parse function is used for unsupported language
  * Fix invalid escape sequence in remote_tts.py
  * Allow setting log level in user config . The log level can now both be set
    in the system config and the user config.
  * Miscellaneous
    + Fix bug causing CLI required 2 ctrl+C to exit
    + Reduce logging
    + Lock the version of get-pip used during dev_setup
    + Minor cleanup of mycroft.skills.core
    + Fix parsing of today, tomorrow, yesterday
    + Add possibility to set a separate language for GoogleCloudSTT
    + Use the phonetic spelling with mimic2
  * See more changes at
    https://github.com/MycroftAI/mycroft-core/releases/tag/release/v18.8.3
- Update to 18.8.2:
  * Distro support. Package list for Arch Linux and OpenSuse updated.
  * Updates for python 3.7
    + Fix python 3.7 issues in padaos
    + A couple of regexes would fail due to a minor change in how python
    handles incorrect escape sequences.
    + update pyyaml module requirement
  * Date time updates
    + a default_time optional parameter has been added to extract_datetime().
    + utc_now() now returns datetime objects including timezone
  * Spanish text parsing functions updated . Adding spanish support for
    extract_number() and extract_datetime().
  * Updates for skill writers
    + translate_namedvalues now produce an ordered dict so the values
    can be ordered by priority in the .list file.
    + schedule_event() now accept integers as well as datetime.
    + Add optional parameter wait to speakand speak_dialog
    + Strip trailing blank lines from translated files (.dialog, .list)
  * Support for downloading precise model by wake word name . When more wake
    words are added the precise models will now automatically download and
    be used if they're available, otherwise it'll fall back to pocketsphinx.
  * Misc
    + Removed unused requirements
    + Update gtts-token to fix google tts
    + Add repeat option to audioservice
    + skill tester now supports a test_setup() step for initial setup.
  * See more changes at
    https://github.com/MycroftAI/mycroft-core/releases/tag/release/v18.8.2
- Update to 18.8.1:
  * Mimic 2 speech improvement . The American Voice Beta voice model for
    mimic 2 has been improved quite a bit, to take advantage of this some of
    the sentence chunking code has been reworked. This will result in less
    unnatural pauses in the speech.
  * Unify the commandline experience . Many of the command line tools used in
    the Mark-1 and Picroft was merged into the mycroft-core repo and can
    be found under .../mycroft-core/bin/
  * Local precise model . A user specified precise wakeword model can now be
    specified in the configuration. This allows easier customization.
  * Workaround for arduino issue
  * Miscellaneous updates and bugfixes
    + Bugfix for the chromecast audio backend
    + Skip mimic build by default if it's already been built
    + Better cleanup if a skill fails to load
    + Minor update of german
  * See more changes at
    https://github.com/MycroftAI/mycroft-core/releases/tag/release/v18.8.1
- Update to 18.8.0:
  * The following non-compatible changes has been included:
    + enclosure api separated from enclosure logic, this will make it easier
    to create thirdparty enclosures and support future mycroft enclosures.
    + a couple of deprecated util functions were removed along with the
    deprecated DeviceApi methods find_*
    + Booleans and Numbers in websettings are now casted to the correct
    python type
    + update to more modern python module structure, all main.py files were
    removed.
    + remove depreciated ScheduledSkill
    + MycroftSkill.get_response announcement parameter has been removed (the
    dialog parameter now supports strings as well so it has become redundant)
  * locale directory . Skill vocab, dialogs and regexes can now be placed in
    the SKILL/locale
  * Simple audio service . Replace the separate mpg123 and ogg123 with a
    "simple" audio service using simple command line tools to play mp3, ogg
    and wav files.
  * Emitter/ws -> bus . The messagebus connection instances has been renamed
    to "bus". The old MycroftSkill.emitter is still available for backwards
    compatibility but will be removed for 19.02.
  * Skill tester improvements
    + Improve skill tester output
    + Add support for custom settings during test.
  * Misc
    + Fix skill listing in CLI
    + Fix building mimic if the path contains spaces.
    + msk updated to 0.3.11 adding better branching support
    + msm updated to 0.5.19 setting default branch to 18.08
  * See more changes at
    https://github.com/MycroftAI/mycroft-core/releases/tag/release/v18.8.0
- Rebase patches:
  * fix-installation-paths.patch
  * fix-skill-settings-hash.patch
  * use-pycodestyle-instead-of-pep8.patch
* Thu Aug 30 2018 alarrosa@suse.com
- Don't buildrequire python-pep8 since it's not used at all
* Sun Aug 26 2018 alarrosa@suse.com
- Update to 18.2.13:
  * Lots of minor improvements and preparations for moving to the 18.8 release.
  * Support for installing Beta skills
  * Mycroft CLI updates
    + Fixed lockups
    + Updated simple CLI to show Mycroft speech
    + Updated code handling non-ascii encodings to work well on a wider range of Locales
  * Improved Camel Case Splitting
  * Fixed caching mimic outputs
  * Mimic 2 improvements
  * Clean up isSpeaking signal
  * See more changes at
    https://github.com/MycroftAI/mycroft-core/releases/tag/release/v18.2.13
- Update to 18.2.12:
  * New Mimic voice technology
  * Improved Padatious support
  * Misc improvements
  * See more changes at
    https://github.com/MycroftAI/mycroft-core/releases/tag/release/v18.2.12
- Rebased fix-installation-paths.patch
* Wed Aug 15 2018 jengelh@inai.de
- Remove redundancies from description.
* Sat Jul 28 2018 alarrosa@suse.com
- Update to 18.2.11:
  * Improvement of date and time extraction and pronunciation
  * Standardize setup script
  * Ask yes/no question
  * Intent enable/disable updates
  * Several bugfixes
  * See more changes at
    https://github.com/MycroftAI/mycroft-core/releases/tag/release/v18.2.11
- Update to 18.2.10:
  * Require an updated precise
  * Add support for Govivace STT
  * Add possibility to query mic status
  * Add Responsive TTS
  * See more changes at
    https://github.com/MycroftAI/mycroft-core/releases/tag/release/v18.2.10
- Update to 18.2.9:
  * Require an updated padatious
  * Improve number parsing
  * See more changes at
    https://github.com/MycroftAI/mycroft-core/releases/tag/release/v18.2.9
- Update to 18.2.8b:
  * Several bugfixes
  * See changes at
    https://github.com/MycroftAI/mycroft-core/releases/tag/release/v18.2.8b
- Update to 18.2.7b:
  * See changes at
    https://github.com/MycroftAI/mycroft-core/releases/tag/release/v18.2.7b
- Update to 18.2.6b:
  * Use python3 instead of python2
  * Replace the msm bash script with a python module
  * See more changes at
    https://github.com/MycroftAI/mycroft-core/releases/tag/release/v18.2.6b
- Update patches:
  * create-initial-user-configuration.sh
  * fix-installation-paths.patch
  * fix-skill-settings-hash.patch
  * mycroft-user-template.conf
  * use-pycodestyle-instead-of-pep8.patch
- Drop skill patches:
  * skills-fallback-duckduckgo.patch
  * skills-fallback-wolfram-alpha.patch
  * skills-skill-reminder.patch
- Add skill patches:
  * skills-mycroft-fallback-duck-duck-go.patch
  * skills-mycroft-weather.patch
- Drop patches already merged upstream (or not accepted yet):
  * 0002-Make-speech-client-python3-compatible.patch
  * 0003-Make-text-client-python2-3-compatible.patch
  * 0004-Fix-hashes-in-settings-for-python3.patch
  * 0005-Fix-test-cases-under-python-3.patch
  * 0006-Remove-backwards-compatibility-with-python-2.7.patch
  * 0008-Fix-cli-crash-with-Python-3.patch
  * 0010-Use-sorted-json-to-perform-hash-of-settings.patch
  * 0013-Remove-backwards-compatibility-from-tests.patch
  * 0014-Fix-counting-function-arguments-in-Python-3.patch
  * 0015-Fix-infinite-skill-reloading-by-disabling-folder-checks.patch
  * 0016-Fix-listing-skills.patch
  * 0017-Fix-failing-tests.patch
  * 0018-Fix-french-centieme-handling.patch
  * 0019-Fix-python3-issues-in-serial-transmission.patch
  * 0020-Fix-issue-using-basestring.patch
  * 0100-local-stt.patch
- Drop patches for msm, which was moved to a separate python module and had
  to be reworked on python-msm:
  * msm-use-python3.patch
  * msm-add-local-patch-support.patch
* Mon May  7 2018 alarrosa@suse.com
- Set use_virtualenvwrapper to false in the user template config file.
- Add require python3-pocketsphinx-python
- Add 'skills_repo_folder' configuration
- Rebase fix-installation-paths.patch, msm-add-local-patch-support.patch
  and use-pycodestyle-instead-of-pep8.patch
- Add new patches from upstream:
  * 0014-Fix-counting-function-arguments-in-Python-3.patch
  * 0015-Fix-infinite-skill-reloading-by-disabling-folder-checks.patch
  * 0016-Fix-listing-skills.patch
  * 0017-Fix-failing-tests.patch
  * 0018-Fix-french-centieme-handling.patch
  * 0019-Fix-python3-issues-in-serial-transmission.patch
  * 0020-Fix-issue-using-basestring.patch
- Add not accepted yet patch from PR 656:
  * 0100-local-stt.patch
- Add new patch:
  * fix-skill-settings-hash.patch
* Tue May  1 2018 alarrosa@suse.com
- Update to 18.2.5b:
  * This release switches to the 18.02 branch of the mycroft-skills repository.
    Along with this change the skill version has been locked to the version
    that was submitted to the mycroft-skills repository.
- Update to 18.2.4b:
  * Shutdown improvements . The handling of signals has been improved allowing
    the software stack to be shutdown more gracefully.
  * Fix install script for renamed module . Fixes failure to launch mycroft
    when mycroft-core was cloned to a non-standard location.
  * Add enable/disable intent using the messagebus . Skill intents can now be
    enabled/disabled over the messagebus.
  * Add support for ETag caching . To reduce server load and data traffic the
    all api requests supports Etag caching, which means no data is sent unless
    the information on the server has changed since last query.
  * Initial Spanish translation
  * Misc
  - Fix cancel_all_repeating_events()
  - Fix error code 20 when doing msm default
  - Skill settings are now updated once per minute again
- Update to 18.2.3b:
  * With this release the Mycroft Deep Speech STT backend is available and can
    be activated by editing your configs . DeepSpeech is now setup and running
    on the Mycroft servers. To make use of this you just need to switch the
    active STT module. Currently there is no web interface so you will need to
    use a text editor on the local mycroft.conf. See #1503 for a step by step
    guide to do this.
  * Increase safety when using repeating events . Add some logic to repeating
    events to disallow multiple repeating events with the same name.
  * MSM updates . A big refactor of the code to allow parallell installation
    of skills along with a bugfix to prevent a possible hang at startup.
  * Audio service updates . A number of updates in the audio service :
  - Fix audio service previous
  - Re-add "active" flag for audio backends
  - Add shutdown method to audio backends for cleanup when the process exites.
  - Add audio backend mplayer
  - Reduce logging verbosity
  * Miscellaneous
  - Fix some confusing log messages.
  - Removed unused function in skill settings
  - Add missing pt-pt dialog files
  - Fix possible crash when using wait_for_response
  - Make the Message.utterance_remainder() method more robust.
  - Wait for messagebus before emitting a message
  - Re-enable the Spotify-skill
- Update to 18.2.2b:
  * This is a special release to fix a bug in the Spotify skill.
- Update to 18.2.1b:
  * Slowing the skill setting poll to once every 5 min . This was an ultimately
    unsuccessful attempt at reduce load of the backend.
  * Refactor event handler argument calling. The logic handling has been
    reduced
  * Bugfixes and cleanups
  - Fix accessing non-existent attribute in except blocks
  - Reduce verbosity when skill settings fetch fails.
  - Fix local service crash when servers are down
- Update patches:
  * 0004-Fix-hashes-in-settings-for-python3.patch
  * 0005-Fix-test-cases-under-python-3.patch
  * 0006-Remove-backwards-compatibility-with-python-2.7.patch
  * 0010-Use-sorted-json-to-perform-hash-of-settings.patch
  * 0013-Remove-backwards-compatibility-from-tests.patch
  * fix-installation-paths.patch
  * msm-add-local-patch-support.patch
  * msm-use-python3.patch
* Tue Mar  6 2018 alarrosa@suse.com
- Added python-num2words to requirements
* Mon Mar  5 2018 alarrosa@suse.com
- Added a python3 fix for mycroft.skills.audioservice
  * fix-installation-paths.patch
- Set the default enclosure to "kde" in the user configuration template
  file and add some more data, so users can just modify the file easily
  for their systems.
- Added patches for more skills:
  * skills-skill-desktop-launcher.patch
  * skills-fallback-duckduckgo.patch
  * skills-skill-autogui.patch
- Added more dependencies for the default skills, since changing the
  enclosure to kde added a few more default skills.
- Moved vlc to Recommended instead of Required, since it's only used
  by some skills
* Sun Mar  4 2018 alarrosa@suse.com
- Add msm-add-local-patch-support.patch to be able to add patches to
  skills from within msm, just after installing them. The applied patches
  are then stored in ~/.mycroft/applied-skill-patches, so when msm
  is used to update a skill, the patch is removed, the skill is updated
  and then it's applied (if necessary).
- Added skill patches for 4 skills. Note that these patches are not applied
  when packaging, but are distributed in the package as patches to be applied
  at runtime:
  * skills-fallback-wolfram-alpha.patch
  * skills-skill-reminder.patch
  * skills-mycroft-music-skill.patch
  * skills-mycroft-youtube.patch
* Sat Mar  3 2018 alarrosa@suse.com
- Update to 18.2.0beta
- Update to 18.02 RC2
  * Audio services startup . An error when loading the chromecast backend
    prevented all backends from loading. The backend loading code has been
    updated to be more tolerant against this kind of errors.
  * Do not sync NTP on desktop. Remove NTP sync on desktop installations
    where this is not needed, This increases boot speed with 15 seconds.
  * Handle repeating events better after hibernate. The repeating event would
    start triggering at 2 times per second if it falls behind the current
    time until it catches up. This occurs for example after hibernation.
    This is resolved by never allowing the next sceduled time to be in the
    future.
  * Simplify version checking
  * Remove redundant except (SystemExit, KeyboardInterrupt) clauses
  * Fix platform comment in config
- Update to 18.02 RC1
  * Adapt intent Bugfixes
  * Fix Enable/Disable intents
  * Fix Dynamic registration of vocabulary
  * Precise update. The precise package that's downloaded has changed slightly,
    to accommodate these changes some mycroft-core code needed to be updated.
  * Misc
  * Documentation improvement in the default mycroft.conf
- Rebase patches to apply correctly:
  * 0003-Make-text-client-python2-3-compatible.patch
  * 0006-Remove-backwards-compatibility-with-python-2.7.patch
  * fix-installation-paths.patch
- Fixed log filename for ~/.mycroft/mycroft-python-modules.log
* Tue Feb 27 2018 alarrosa@suse.com
- Add patches from the upstream's 18.02 branch which add support for python3
  * 0002-Make-speech-client-python3-compatible.patch
  * 0003-Make-text-client-python2-3-compatible.patch
  * 0004-Fix-hashes-in-settings-for-python3.patch
  * 0005-Fix-test-cases-under-python-3.patch
  * 0006-Remove-backwards-compatibility-with-python-2.7.patch
  * 0008-Fix-cli-crash-with-Python-3.patch
  * 0010-Use-sorted-json-to-perform-hash-of-settings.patch
  * 0013-Remove-backwards-compatibility-from-tests.patch
- Rebase previous patches and move them over Patch1000 so they're applied
  after the upstream patches:
  * fix-installation-paths.patch
  * msm-use-python3.patch
  * use-pycodestyle-instead-of-pep8.patch
* Thu Feb 22 2018 alarrosa@suse.com
- Fix create-initial-user-configuration.sh. Now it should create the
  ~/.mycroft/mycroft.conf file correctly.
* Thu Feb 22 2018 alarrosa@suse.com
- Add python3-tornado and python3-PyYAML dependencies
- Added recommended packages for skills that are not installed by default
  but are interesting to have: python3-wolframalpha, python3-dbus-python,
  python3-aiml and python3-arrow.
* Wed Feb 21 2018 alarrosa@suse.com
- Add TimeoutStopSec parameters to all services so they stop faster
- More information written to the log file when installing a skill. Update
  patches and rename fix-installation-paths.diff to .patch:
  * fix-installation-paths.patch
  * msm-use-python3.patch
  * use-pycodestyle-instead-of-pep8.patch
* Wed Feb 21 2018 alarrosa@suse.com
- Update to mycroft-core 0.9.17:
  * Language support
  - Improve the Italian formating functions (Added nice_time
    and pronounce_number)
  - Update French dialogues and add French formatting and parsing functions
  - Add format and parsing methods for Swedish
  * Reduce CLI log clutter
  - Most of the info messages from the skill settings were demoted to debug
    and the debug messages are filtered by default making it easier to check
    for errors and info logs from skills in development.
  * Make keywords per skill to fix overlapping keyword names
  - To hinder skills from forcing new vocabulary on other skills when
    naming collisions occur the names are now mangled somewhat before
    sent to the intent service.
  * Event scheduler improvements
  - schedule_repeating_event() start time defaults to current time + period
  - Non repeating events are automatically cancelled and event handlers are
    teared down
  * Miscellaneous
  - Upgrade pip version to 9.0.1
  - Fix bug in nice_time() for times before noon
  - Audio service: Add message on track start
* Thu Feb 15 2018 alarrosa@suse.com
- Update to mycroft-core 0.9.16:
  * Update to fix issues du to changes in the backend.
  * Adds sanity checks that both name and value are available before
    accessing them. This is now done when checking for update of
    settingsmeta and when attempting to save settings to disk.
- Update to mycroft-core 0.9.15:
  * Language support. Swedish (sv-fi and sv-se) dialogs were added
    and Italian parsing and formating functions were updated.
  * Functions for displaying and speaking time and numbers added.
  * Support for Deepspeech server. Deepspeech released a new model before
    Christmas and is getting pretty good. Mycroft now has an STT interface
    connecting to the deepspeech_server, a simple server hosting deep speech.
    The server can easily be setup locally for a user with decent hardware.
  * List skills in CLI. The currently loaded skills can now be listed using
    the new command :skills.
  * Messages at skill shutdown and load failed messages.
  * Other misc changes.
- Add patch so the python3-pep8 package is not required anymore, now
  that it's been renamed to pycodestyle.
  * use-pycodestyle-instead-of-pep8.patch
- When installing a skill, write to ~/.mycroft/mycroft-python-modules.log
  the required python modules since pip is not run
* Tue Jan 23 2018 alarrosa@suse.com
- Update to mycroft-core 0.9.14
  * More TTS and STT modules
  * Fix sphinx documentation
  * Better handling of lists when reading from backend
  * Limit CLI memory usage
* Wed Jan 10 2018 alarrosa@suse.com
- Update to mycroft-core 0.9.13
- Drop fix-version-0.9.11.diff which is not needed anymore
* Thu Jan  4 2018 alarrosa@suse.com
- Update to mycroft-core 0.9.11
- Add fix-version-0.9.11.diff
- Rebase fix-installation-paths.diff
* Tue Nov 14 2017 alarrosa@suse.com
- Initial release of mycroft-core 0.9.6
- Add fix-installation-paths.diff
